Package Details: mongotron-bin 1.0.0.alpha5-1

Git Clone URL: https://aur.archlinux.org/mongotron-bin.git (read-only)
Package Base: mongotron-bin
Description: Chrome-based mongo db management tool - Precompiled binary from official repository
Upstream URL: https://github.com/officert/mongotron
Keywords: database electron mongodb
Licenses: MIT
Submitter: papodaca
Maintainer: JustinTime4Tea
Last Packager: JustinTime4Tea
Votes: 4
Popularity: 0.000317
First Submitted: 2016-01-21 05:12
Last Updated: 2017-01-16 12:02

Latest Comments

tim.hellhake commented on 2017-04-16 15:25

This package does not build:

PKGBUILD: line 28: ./node_modules/.bin/asar: No such file or directory

JustinTime4Tea commented on 2017-01-16 12:03

Updated to latest Alpha. For some reason this latest build did not work on my Arch box but I'm quite certain it has to do with my specific developer setup and am confident it should work for you. I did however test this build on an OpenSUSE VM and it worked just fine. Let me know if this does, or does not work, please.

JustinTime4Tea commented on 2016-04-29 20:10

Thank you napa3um for discovering my mistake in PKGBUILD.
Now using binary at ./node_modules/.bin/asar

napa3um commented on 2016-04-27 16:59

/tmp/yaourt-tmp-napa3um/aur-mongotron-bin/./PKGBUILD: line 29: asar: команда не найдена
...
:: Running post-transaction hooks...
(1/2) Updating icon theme caches...
вызов execv завершился неудачно (Отказано в доступе)
ошибка: не удалось корректно выполнить команду

Fix for line 29:
./node_modules/.bin/asar extract app.asar ./

papodaca commented on 2016-04-22 19:05

JustinTime4Tea, added you as a co-maintainer and uploaded your latest version.

JustinTime4Tea commented on 2016-04-22 18:51

Failing install due to out-dated PKGBUILD.

I will reach out to the maintainer and see if he wants to pass on the maintainer role or if he can incorporate my changes (or his own) so that this package is working again.

Newer PKGBUILD can be found here:
https://github.com/justintime4tea/aur-mongotron

shadowflame commented on 2016-02-20 15:09

The black window is caused by the package freetype2-2.6.3-1. Downgrading the package to 2.6.2-1 makes the application usable again.

papodaca commented on 2016-02-12 06:10

Its not that the url is wrong the upstream maintainer removed the builds for that release for some reason. The 1.0.0-alpha.3 release is completely unusable for me. The UI shows for a fraction of a second then the entire window is simply black. This package is somewhat dead until I figure out how to get this app working again. I would suggest using robomongo instead.

shadowflame commented on 2016-02-11 16:06

1.0.0-alpha.3 is out. Also, the URL of the package in PKGBUILD is incorrect for 1.0.0-alpha.2 .